Class | XMLRPC::Service::Interface
In: | xmlrpc/utils.rb
Parent: | BasicInterface

class which wraps a Service Interface definition, used by BasicServer#add_handler

### Methods

get_methods new

### Public Class methods

new(prefix, &p)

[Source]

    # File xmlrpc/utils.rb, line 106
        def initialize(prefix, &p)
          raise "No interface specified" if p.nil?
          super(prefix)
          instance_eval(&p)
        end

### Public Instance methods

get_methods(obj, delim=".")

[Source]

    # File xmlrpc/utils.rb, line 112
        def get_methods(obj, delim=".")
          prefix = @prefix + delim
          @methods.collect { |name, meth, sig, help|
            [prefix + name, obj.method(meth).to_proc, sig, help]
          }
        end

[Validate]